## legion 0.1.0

=== DESCRIPTION ===
Package: legion
Type: Package
Title: Forecasting Using Multivariate Models
Version: 0.1.0
Date: 2021-05-15
Authors@R: c(person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                  comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK"),
             person("Kandrika Fadhlan", "Pritularga", email = "k.pritularga@lancaster.ac.uk", role = c("aut"),
                  comment="PhD Student at Centre for Marketing Analytics and Forecasting, Lancaster University, UK"))
URL: https://github.com/config-i1/legion
BugReports: https://github.com/config-i1/legion/issues
Language: en-GB
Description: Functions implementing multivariate state space models for purposes of time series analysis and forecasting.
             The focus of the package is on multivariate models, such as Vector Exponential Smoothing,
             Vector ETS (Error-Trend-Seasonal model) etc. It currently includes Vector Exponential
             Smoothing (VES, de Silva et al., 2010, <doi:10.1177/1471082X0901000401>), Vector ETS and
             simulation function for VES.
License: GPL (>= 2)
Depends: R (>= 3.5.0), greybox (>= 0.6.9), smooth (>= 3.1.0)
Imports: Rcpp (>= 0.12.3), stats, graphics, grDevices, pracma, statmod,
        nloptr, utils, zoo
LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown, doMC,
        doParallel, foreach
VignetteBuilder: knitr
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2021-05-15 16:02:30 UTC; config
Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
    and Forecasting, Lancaster University, UK),
  Kandrika Fadhlan Pritularga [aut] (PhD Student at Centre for Marketing
    Analytics and Forecasting, Lancaster University, UK)
Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
Repository: CRAN
Date/Publication: 2021-05-17 09:20:06 UTC

## legion 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: legion
 Type: Package
 Title: Forecasting Using Multivariate Models
-Version: 0.1.0
-Date: 2021-05-15
+Version: 0.1.1
+Date: 2022-02-14
 Authors@R: c(person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK"),
              person("Kandrika Fadhlan", "Pritularga", email = "k.pritularga@lancaster.ac.uk", role = c("aut"),
@@ -16,21 +16,21 @@
              Smoothing (VES, de Silva et al., 2010, <doi:10.1177/1471082X0901000401>), Vector ETS and
              simulation function for VES.
 License: GPL (>= 2)
-Depends: R (>= 3.5.0), greybox (>= 0.6.9), smooth (>= 3.1.0)
-Imports: Rcpp (>= 0.12.3), stats, graphics, grDevices, pracma, statmod,
-        nloptr, utils, zoo
+Depends: R (>= 3.5.0), greybox (>= 1.0.4), smooth (>= 3.1.0)
+Imports: Rcpp (>= 0.12.3), stats, generics (>= 0.1.2), graphics,
+        grDevices, nloptr, utils, zoo
 LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
-Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown, doMC,
-        doParallel, foreach
+Suggests: numDeriv, testthat, knitr, rmarkdown, doMC, doParallel,
+        foreach
 VignetteBuilder: knitr
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2021-05-15 16:02:30 UTC; config
+Packaged: 2022-02-14 22:49:57 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
     and Forecasting, Lancaster University, UK),
   Kandrika Fadhlan Pritularga [aut] (PhD Student at Centre for Marketing
     Analytics and Forecasting, Lancaster University, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2021-05-17 09:20:06 UTC
+Date/Publication: 2022-02-15 10:00:13 UTC

## legion 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: legion
 Type: Package
 Title: Forecasting Using Multivariate Models
-Version: 0.1.1
-Date: 2022-02-14
+Version: 0.1.2
+Date: 2023-01-30
 Authors@R: c(person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK"),
              person("Kandrika Fadhlan", "Pritularga", email = "k.pritularga@lancaster.ac.uk", role = c("aut"),
@@ -23,14 +23,14 @@
 Suggests: numDeriv, testthat, knitr, rmarkdown, doMC, doParallel,
         foreach
 VignetteBuilder: knitr
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2022-02-14 22:49:57 UTC; config
+Packaged: 2023-01-30 22:07:42 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
     and Forecasting, Lancaster University, UK),
   Kandrika Fadhlan Pritularga [aut] (PhD Student at Centre for Marketing
     Analytics and Forecasting, Lancaster University, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2022-02-15 10:00:13 UTC
+Date/Publication: 2023-01-31 09:00:02 UTC

## legion 0.2.1

=== DESCRIPTION ===
Package: legion
Type: Package
Title: Forecasting Using Multivariate Models
Version: 0.2.1
Date: 2025-02-03
Authors@R: c(person("Ivan", "Svetunkov", email = "ivan@svetunkov.com", role = c("aut", "cre"),
                  comment="Senior Lecturer, Centre for Marketing Analytics and Forecasting, Lancaster University, UK"),
             person("Kandrika Fadhlan", "Pritularga", email = "k.pritularga@lancaster.ac.uk", role = c("aut"),
                  comment="Lecturer, Centre for Marketing Analytics and Forecasting, Lancaster University, UK"))
URL: https://github.com/config-i1/legion
BugReports: https://github.com/config-i1/legion/issues
Language: en-GB
Description: Functions implementing multivariate state space models for purposes of time series analysis and forecasting.
             The focus of the package is on multivariate models, such as Vector Exponential Smoothing,
             Vector ETS (Error-Trend-Seasonal model) etc. It currently includes Vector Exponential
             Smoothing (VES, de Silva et al., 2010, <doi:10.1177/1471082X0901000401>), Vector ETS (Svetunkov et al., 2023,
             <doi:10.1016/j.ejor.2022.04.040>) and simulation function for VES.
License: LGPL-2.1
Depends: R (>= 3.5.0), greybox (>= 1.0.4), smooth (>= 3.1.0)
Imports: Rcpp (>= 0.12.3), stats, generics (>= 0.1.2), graphics,
        grDevices, Matrix, nloptr, utils, zoo
LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
Suggests: numDeriv, testthat, knitr, rmarkdown, doMC, doParallel,
        foreach
VignetteBuilder: knitr
RoxygenNote: 7.3.2
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2025-02-03 14:14:35 UTC; config
Author: Ivan Svetunkov [aut, cre] (Senior Lecturer, Centre for Marketing
    Analytics and Forecasting, Lancaster University, UK),
  Kandrika Fadhlan Pritularga [aut] (Lecturer, Centre for Marketing
    Analytics and Forecasting, Lancaster University, UK)
Maintainer: Ivan Svetunkov <ivan@svetunkov.com>
Repository: CRAN
Date/Publication: 2025-02-03 16:10:02 UTC

## legion 0.3.9

=== requirements.txt ===
asyncio
aiohttp
aioredis
six>=1.11.0
Quamash>=0.6.1
psycopg2
SQLAlchemy==1.3.19
aiomonitor>=0.3.1
APScheduler>=3.5.3
PyQt5==5.11.3
sanic>=0.8.3
sanic_swagger
requests>=2.20.1
pyfiglet==0.8post1
colorama
termcolor
win_inet_pton
pyExploitDb
pyShodan
GitPython
pandas
flake8>=3.7.8
websockets>=9.1 # not directly required, pinned by Snyk to avoid a vulnerability

=== debian/changelog ===
legion (0.3.9-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:56:29 +0200

legion (0.3.9-0kali1) kali-dev; urgency=medium

  * New upstream version 0.3.9
  * Refresh patches
  * Add a patch to not use pip in Kali
  * Add minimal version of python3-pyexploitdb
  * Remove sparta-scripts from Suggests (already in Depends)
  * Bump Standards-Version to 4.6.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Oct 2022 15:10:22 +0200

legion (0.3.8-0kali5) kali-dev; urgency=medium

  * Improve patch for PyQt5

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 18 May 2022 14:39:35 +0200

legion (0.3.8-0kali4) kali-dev; urgency=medium

  * Fix typo in debian/control

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Apr 2022 11:29:31 +0200

legion (0.3.8-0kali3) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Fix typo
  * Add sparta-scripts as suggestion
  * Add executable to helper-script
  * New helper-script format
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * Refresh patches
  * Fix arguments type issue
  * Force update of python3-quamash

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Apr 2022 11:24:02 +0200

legion (0.3.8-0kali2) kali-dev; urgency=medium

  * Remove problematic QT env variables from helper script
  * Use xdg-open to open files using currently installed programs
  * Fix open terminal
  * Remove mousepad, ristretto and eog from dependencies
  * Fix firefox patch
  * Update list of patches in debian/patches/series

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 15 Jul 2021 11:26:54 +0200

legion (0.3.8-0kali1) kali-dev; urgency=medium

  * Add a patch to open firefox
  * New upstream version 0.3.8
  * Bump Standards-Version to 4.5.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 03 Jun 2021 10:10:28 +0200

legion (0.3.7-0kali2) kali-dev; urgency=medium

  * Fix issue with conf file in /usr or /etc
  * Force sudo usage to run legion
  * Reorder patches
  * Add a patch to use absolute path for nmap.xsl file

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 16 Sep 2020 09:58:28 +0200

legion (0.3.7-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sophie Brun ]
  * New upstream version 0.3.7
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 11 Sep 2020 13:44:45 +0200

legion (0.3.6b-0kali2) kali-dev; urgency=medium

  * Add figlet in depends: legion fails if the package is not installed (it is
    only in "Recommends" of python3-pyfiglet package"). See 6221.

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 26 Mar 2020 14:29:12 +0100

legion (0.3.6b-0kali1) kali-dev; urgency=medium

  * New upstream version 0.3.6b
  * Refresh patches for new Release
  * Update minimal required version of python3-pyexploitdb
  * debian/rules: Create missing empty log files
  * Bump Standards-Version to 4.5.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Mar 2020 17:50:48 +0100

legion (0.3.6-0kali2) kali-dev; urgency=medium

  * Configure git-buildpackage for Kali
  * Add GitLab's CI configuration file
  * Update used tools: ristretto and mousepad instead of eog and leafpad
  * Bump Standards-Version to 4.4.1

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 13 Jan 2020 15:00:02 +0100

legion (0.3.6-0kali1) kali-dev; urgency=medium

  * Initial release (issue 5642)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 16 Sep 2019 14:35:11 +0200

=== debian/control ===
Source: legion
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-aiohttp,
               python3-aioredis,
               python3-apscheduler,
               python3-colorama,
               python3-pandas,
               python3-pyexploitdb (>= 0.2.0+20190604),
               python3-pyfiglet,
               python3-pyqt5,
               python3-pyshodan,
               python3-quamash,
               python3-service-identity,
               python3-six,
               python3-sqlalchemy,
               python3-termcolor,
Standards-Version: 4.6.1
Homepage: https://govanguard.com/legion/

Package: legion
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         cutycapt,
         figlet,
         finger,
         hping3,
         hydra,
         ldap-utils,
         medusa,
         nbtscan,
         nfs-common,
         nikto,
         nmap,
         python3-aiohttp,
         python3-aioredis,
         python3-apscheduler,
         python3-colorama,
         python3-impacket,
         python3-pandas,
         python3-pyexploitdb (>= 0.2.6),
         python3-pyfiglet,
         python3-pyqt5,
         python3-pyshodan,
         python3-quamash (>= 0.6.1~dfsg-1.1),
         python3-service-identity,
         python3-six,
         python3-sqlalchemy,
         python3-termcolor,
         rpcbind,
         rwho,
         smbclient,
         sparta-scripts,
         sqlmap,
         sslscan,
         wapiti,
         whatweb,
         x11-apps,
         xauth,
         xsltproc,
         xvfb,
Description: semi-automated network penetration testing tool
 This package contains an open source, easy-to-use, super-extensible and
 semi-automated network penetration testing tool that aids in discovery,
 reconnaissance and exploitation of information systems.
 .
 Legion is a fork of SECFORCE's Sparta.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export HOME=$(CURDIR)/build
%:
	dh $@ --with python3

override_dh_auto_configure:
	touch log/legion.log
	touch log/legion-db.log
	touch log/legion-startup.log

override_dh_install:
	PYTHONPATH=. python3 app/settings.py
	dh_install -Xpycache

override_dh_fixperms:
	dh_fixperms
	chmod 755 debian/legion/usr/share/legion/scripts/*

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%legion-$1.tar.gz%" \
   https://github.com/GoVanguard/legion/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## legion 0.4.3

=== requirements.txt ===
asyncio
six
qasync
SQLAlchemy==1.4.50
PyQt6
requests
pyfiglet
colorama
termcolor
pyExploitDb
pyShodan
GitPython
pandas
flake8
rich
urllib3==1.23
selenium==3.141.0

=== debian/changelog ===
legion (0.4.3-0kali7) kali-dev; urgency=medium

  * Update upstream URL
  * cutycapt is not available on armel

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 26 Feb 2025 10:29:37 +0700

legion (0.4.3-0kali6) kali-dev; urgency=medium

  * Fix various Python 3.12 SyntaxWarning

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 16 Sep 2024 16:02:41 +0700

legion (0.4.3-0kali5) kali-dev; urgency=medium

  * Re-add the patch use-cutycapt-for-arm.patch

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Aug 2024 11:27:45 +0200

legion (0.4.3-0kali4) kali-dev; urgency=medium

  * Refresh patches
  * Do not use the obsolete package rwho (see Debian bug 1074175)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 Aug 2024 17:02:28 +0200

legion (0.4.3-0kali3) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Depends: also allow rsh-client

  [ Daniel Ruiz de Alegría ]
  * Revert "Replace imagemagick with graphicsmagick-imagemagick-compat"

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 05 Feb 2024 12:45:12 +0100

legion (0.4.3-0kali2) kali-dev; urgency=medium

  * Depends: Replace rsh-client with rsh-redone-client

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 02 Feb 2024 15:01:54 +0700

legion (0.4.3-0kali1) kali-dev; urgency=medium

  * New upstream version 0.4.3
  * Refresh patches
  * Add dependency python3-urllib3
  * Fix arm build

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 21 Nov 2023 11:47:51 +0100

legion (0.4.1-0kali4) kali-dev; urgency=medium

  * Replace cutycapt with eyewitness
  * Replace imagemagick with graphicsmagick-imagemagick-compat
  * Recover deleted patch Use-session-user-to-open-firefox.patch
  * Remove sra-toolkit as a dependency
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 17 Nov 2023 14:19:44 +0100

legion (0.4.1-0kali3) kali-dev; urgency=medium

  * package is arch all: move sra-toolkit to Recommends as it's only
    available on arm64 and amd64

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 Nov 2023 15:38:15 +0100

legion (0.4.1-0kali2) kali-dev; urgency=medium

  * d/control: sra-toolkit is now only available on amd64 and arm64.

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 Nov 2023 13:53:15 +0100

legion (0.4.1-0kali1) kali-dev; urgency=medium

  * Use monospace font
  * Update debian/watch
  * New upstream version 0.4.1

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 15 Nov 2023 17:10:38 +0100

legion (0.4.0-0kali2) kali-dev; urgency=medium

  * Remove phantomjs dependency as it's archived
  * Add missing import in patch

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 15 Nov 2023 14:19:07 +0100

legion (0.4.0-0kali1) kali-experimental; urgency=medium

  * New upstream version 0.4.0
  * Update debian/control
  * Update dependencies
  * Update install scripts
  * Update Do-no-use-pip-to-upgrade.patch
  * Add lintian-overrides
  * Patch to use python3 shebangs
  * Add patch to use xdg tools
  * Fix paths to multiple files and binaries
  * Add extra external tools as dependencies
  * Update remaining patches
  * Fix dirbuster path
  * Add all dependencies for all tools required in legion.conf
  * Fix typo
  * Fix legion tries to write to /usr/share/legion
  * More fixes for legion trying to write to /usr folder

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 13 Nov 2023 14:27:24 +0100

=== debian/control ===
Source: legion
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-colorama,
               python3-pandas,
               python3-pyexploitdb,
               python3-pyfiglet,
               python3-pyqt6,
               python3-pyshodan,
               python3-qasync,
               python3-requests,
               python3-rich,
               python3-serial-asyncio,
               python3-service-identity,
               python3-six,
               python3-sqlalchemy,
               python3-termcolor,
               python3-urllib3,
Homepage: https://govanguard.com/legion/
Standards-Version: 4.6.2
Vcs-Browser: https://gitlab.com/kalilinux/packages/legion
Vcs-Git: https://gitlab.com/kalilinux/packages/legion.git

Package: legion
Architecture: any
Depends: dirbuster,
         dnsmap,
         enum4linux,
         eyewitness [amd64 i386] | cutycapt [!armel],
         finger,
         hping3,
         hydra,
         imagemagick,
         impacket-scripts,
         ldap-utils,
         mariadb-client-core,
         medusa,
         metasploit-framework,
         nbtscan,
         netcat-traditional,
         nfs-common,
         nikto,
         nmap,
         perl,
         polenum,
         postgresql-client,
         python3-colorama,
         python3-pandas,
         python3-pyexploitdb,
         python3-pyfiglet,
         python3-pyqt6,
         python3-pyshodan,
         python3-qasync,
         python3-requests,
         python3-rich,
         python3-serial-asyncio,
         python3-service-identity,
         python3-six,
         python3-sqlalchemy,
         python3-termcolor,
         python3-urllib3,
         rdesktop,
         rpcbind,
         rsh-redone-client | rsh-client,
         ruby,
         smbclient,
         smtp-user-enum,
         snmp,
         sparta-scripts,
         sqlmap,
         sslscan,
         sslyze,
         telnet,
         theharvester,
         unicornscan,
         urlscan,
         vncviewer,
         wafw00f,
         wapiti,
         whatweb,
         wordlists,
         wpscan,
         x11-apps,
         xserver-xephyr,
         xsltproc,
         xvfb,
         ${misc:Depends},
         ${python3:Depends},
Description: semi-automated network penetration testing tool
 This package contains an open source, easy-to-use, super-extensible and
 semi-automated network penetration testing tool that aids in discovery,
 reconnaissance and exploitation of information systems.
 .
 Legion is a fork of SECFORCE's Sparta.

## legion 0.4.7

=== debian/changelog ===
legion (0.4.7-0kali2) kali-dev; urgency=medium

  * Refresh debian/use-cutycapt-for-arm.patch for new usptream version
  * Add patch stopProgressTimer-no-longer-exists
  * Add patches to fix error
  * Fix fields names in exploitdb data

 -- Sophie Brun <sophie@kali.org>  Mon, 15 Sep 2025 12:00:45 +0200

legion (0.4.7-0kali1) kali-dev; urgency=medium

  * Update my email
  * New upstream version 0.4.7
  * Refresh patches
  * Bump Standards-Version to 4.7.2

 -- Sophie Brun <sophie@kali.org>  Thu, 11 Sep 2025 10:44:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>,
+Uploaders: Sophie Brun <sophie@kali.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
@@ -22,7 +22,7 @@
                python3-termcolor,
                python3-urllib3,
 Homepage: https://govanguard.com/legion/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://gitlab.com/kalilinux/packages/legion
 Vcs-Git: https://gitlab.com/kalilinux/packages/legion.git

## legion 0.4.8

=== debian/changelog ===
legion (0.4.8-0kali2) kali-dev; urgency=medium

  [ Hackman238 ]
  * Edit control to update url, version

  [ Daniel Ruiz de Alegría ]
  * Add back vncviewer dependency

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 14 Oct 2025 11:52:46 +0200

legion (0.4.8-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Revert "cutycapt is not available on armel"

  [ Sophie Brun ]
  * New upstream version 0.4.8
  * Refresh patches
  * Add a patch to convert int to str

 -- Sophie Brun <sophie@kali.org>  Wed, 08 Oct 2025 09:42:58 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-sqlalchemy,
                python3-termcolor,
                python3-urllib3,
-Homepage: https://govanguard.com/legion/
+Homepage: https://github.com/Hackman238/legion
 Standards-Version: 4.7.2
 Vcs-Browser: https://gitlab.com/kalilinux/packages/legion
 Vcs-Git: https://gitlab.com/kalilinux/packages/legion.git
@@ -31,7 +31,7 @@
 Depends: dirbuster,
          dnsmap,
          enum4linux,
-         eyewitness [amd64 i386] | cutycapt [!armel],
+         eyewitness [amd64 i386] | cutycapt,
          finger,
          hping3,
          hydra,

## legion 0.5.1

=== requirements.txt ===
asyncio
six
qasync
SQLAlchemy==1.4.51
PyQt6
requests
pyfiglet
colorama
termcolor
pyExploitDb
pyShodan
GitPython
pandas
flake8
rich
urllib3>=1.26.18,<2.0
selenium==4.9.1
webdriver-manager

=== debian/changelog ===
legion (0.5.1-0kali3) kali-dev; urgency=medium

  * Remove useless patch (fixes in pyexploitdb)

 -- Sophie Brun <sophie@freexian.com>  Mon, 20 Oct 2025 14:42:13 +0200

legion (0.5.1-0kali2) kali-dev; urgency=medium

  * Re-integrate the changes of version 0.4.8-0kali2 

 -- Sophie Brun <sophie@kali.org>  Thu, 16 Oct 2025 11:48:47 +0200

legion (0.5.1-0kali1) kali-dev; urgency=medium

  [ Hackman238 ]
  * Edit control to update url, version

  [ Sophie Brun ]
  * New upstream version 0.5.1
  * Refresh patches
  * d/control: add Suggests: exploitdb
  * Add a patch to fix a type error

 -- Sophie Brun <sophie@kali.org>  Tue, 14 Oct 2025 15:15:10 +0200

=== debian/control ===
--- 
+++ 
@@ -51,7 +51,7 @@
          postgresql-client,
          python3-colorama,
          python3-pandas,
-         python3-pyexploitdb,
+         python3-pyexploitdb (>= 0.2.102-0kali1),
          python3-pyfiglet,
          python3-pyqt6,
          python3-pyshodan,
@@ -91,6 +91,7 @@
          xvfb,
          ${misc:Depends},
          ${python3:Depends},
+Suggests: exploitdb
 Description: semi-automated network penetration testing tool
  This package contains an open source, easy-to-use, super-extensible and
  semi-automated network penetration testing tool that aids in discovery,

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

export HOME=$(CURDIR)/build
%:
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build
	echo $(DEB_BUILD_ARCH) | grep 'amd64\|i386' \
	  || patch app/Screenshooter.py debian/use-cutycapt-for-arm.patch
	

override_dh_install:
	PYTHONPATH=. python3 app/settings.py
	dh_install -Xpycache

override_dh_fixperms:
	dh_fixperms
	chmod 755 debian/legion/usr/share/legion/scripts/*

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%legion-$1.tar.gz%" \
   https://github.com/Hackman238/legion/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## legion 0.5.2

=== debian/changelog ===
legion (0.5.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.5.2
  * Refresh patches
  * Bump Standards-Version to 4.7.3
  * Update debian/watch to version 5
  * Update debian/copyright
  * Breaks ans Replaces sparta-scripts <<1.0.4+git20190226-0kali2

 -- Sophie Brun <sophie@kali.org>  Mon, 23 Feb 2026 17:59:43 +0100

legion (0.5.1-0kali6) kali-dev; urgency=medium

  [ Giovanni Terranova ]
  * Fix pyExploitDb import compatibility with newer Python versions (#7)

  [ Arnaud Rebillout ]
  * Update pyexploitdb patch
  * Extend patch to primeExploitDb.py

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 05 Jan 2026 16:42:56 +0700

legion (0.5.1-0kali5) kali-dev; urgency=medium

  * Fix typo in ssh user list

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 09 Dec 2025 07:48:24 +0100

legion (0.5.1-0kali4) kali-dev; urgency=medium

  * wapiti only on amd64 and arm64

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 26 Nov 2025 09:40:50 +0700

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                python3-termcolor,
                python3-urllib3,
 Homepage: https://github.com/Hackman238/legion
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://gitlab.com/kalilinux/packages/legion
 Vcs-Git: https://gitlab.com/kalilinux/packages/legion.git
 
@@ -71,7 +71,7 @@
          smbclient,
          smtp-user-enum,
          snmp,
-         sparta-scripts,
+         sparta-scripts (>= 1.0.4+git20190226-0kali2),
          sqlmap,
          sslscan,
          sslyze,
@@ -81,7 +81,7 @@
          urlscan,
          vncviewer,
          wafw00f,
-         wapiti,
+         wapiti [amd64 arm64],
          whatweb,
          wordlists,
          wpscan,
@@ -91,6 +91,8 @@
          xvfb,
          ${misc:Depends},
          ${python3:Depends},
+Breaks: sparta-scripts (<< 1.0.4+git20190226-0kali2)
+Replaces: sparta-scripts (<< 1.0.4+git20190226-0kali2)
 Suggests: exploitdb
 Description: semi-automated network penetration testing tool
  This package contains an open source, easy-to-use, super-extensible and

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

export HOME = $(CURDIR)/build

%:
	dh $@ --with python3

execute_after_dh_auto_build:
	echo $(DEB_BUILD_ARCH) | grep 'amd64\|i386' \
	  || patch app/Screenshooter.py debian/use-cutycapt-for-arm.patch

override_dh_install:
	PYTHONPATH=. python3 app/settings.py
	dh_install -Xpycache

execute_after_dh_fixperms:
	chmod 755 debian/legion/usr/share/legion/scripts/*

=== debian/watch ===
Version: 5
Template: Github
Dist: https://github.com/Hackman238/legion
